Skip to main content
POST
Create a new worksheet (tab) in a spreadsheet

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

connectionId
integer
required

The Google Sheets connection ID

sheetId
integer
required

The Google Sheet ID

Body

application/json
title
string
required

Title of the new worksheet (tab).

Maximum string length: 255
purpose
enum<string> | null

Optionally assign the new tab to one of the sheet's sync slots: transactions, current balances, or balance history.

Available options:
transactions,
live_balance,
balance_history,
null

Response

The response is of type string.